# --------------------------------------------------------
# Host:                         127.0.0.1
# Server version:               5.1.52
# Server OS:                    pc-linux-gnu
# HeidiSQL version:             6.0.0.3603
# Date/time:                    2011-12-10 14:32:52
# --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

# Dumping structure for table cacti.plugin_nmidCreatePDF_Archives
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Archives`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Archives` (
  `ArchiveId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `Name` text,
  `Description` text,
  `startDate` varchar(1024) DEFAULT NULL,
  `endDate` varchar(1024) DEFAULT NULL,
  `archiveDate` varchar(1024) DEFAULT NULL,
  `filePath` text,
  `ReportId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `UserGroupId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`ArchiveId`),
  KEY `ReportId` (`ReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Graph Report Archive';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_AvailabilityFailedPolls_Table
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_AvailabilityFailedPolls_Table`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_AvailabilityFailedPolls_Table` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `deviceId` mediumint(25) unsigned NOT NULL,
  `timeStamp` varchar(255) NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '0',
  `failed_polls` mediumint(25) unsigned NOT NULL,
  `ldid` mediumint(25) unsigned NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `deviceId` (`deviceId`),
  KEY `ldid` (`ldid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability Failed Polls Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Availability_Change_Table
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Availability_Change_Table`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Availability_Change_Table` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `deviceId` mediumint(25) unsigned NOT NULL,
  `changeTypeId` varchar(255) NOT NULL DEFAULT '1',
  `startTimeStamp` varchar(255) NOT NULL DEFAULT '0',
  `endTimeStamp` varchar(255) NOT NULL DEFAULT '0',
  `shortDescription` text,
  `longDescription` text,
  PRIMARY KEY (`Id`),
  KEY `deviceId` (`deviceId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability Change Report Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Availability_Change_Type
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Availability_Change_Type`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Availability_Change_Type` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `shortName` varchar(255) NOT NULL DEFAULT '0',
  `decreaseAvailability` varchar(255) NOT NULL DEFAULT '0',
  `Description` text,
  PRIMARY KEY (`Id`),
  KEY `shortName` (`shortName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability Change Type Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Availability_SLATimeFrameItems_Table
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Availability_SLATimeFrameItems_Table`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Availability_SLATimeFrameItems_Table` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `slaTimeFrameId` mediumint(25) unsigned NOT NULL,
  `slaEnabled` varchar(255) NOT NULL DEFAULT '0',
  `startTimeStamp` varchar(255) NOT NULL DEFAULT '0',
  `endTimeStamp` varchar(255) NOT NULL DEFAULT '0',
  `description` text,
  PRIMARY KEY (`Id`),
  KEY `slaTimeFrameId` (`slaTimeFrameId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability SLA TimeFrame Items Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Availability_SLATimeFrame_Table
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Availability_SLATimeFrame_Table`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Availability_SLATimeFrame_Table` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `defaultDays` varchar(255) NOT NULL DEFAULT '1,2,3,4,5',
  `defaultStartTime` varchar(255) NOT NULL DEFAULT '08:00',
  `defaultEndTime` varchar(255) NOT NULL DEFAULT '18:00',
  `shortDescription` text,
  `longDescription` text,
  PRIMARY KEY (`Id`,`defaultDays`),
  KEY `defaultDays` (`defaultDays`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability SLA TimeFrame Master Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Availability_Table
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Availability_Table`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Availability_Table` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `deviceId` mediumint(25) unsigned NOT NULL,
  `typeId` varchar(255) NOT NULL DEFAULT 'i',
  `timeStamp` varchar(255) NOT NULL DEFAULT '0',
  `orig_total_polls` mediumint(25) unsigned NOT NULL,
  `orig_failed_polls` mediumint(25) unsigned NOT NULL,
  `total_polls` mediumint(25) unsigned NOT NULL,
  `failed_polls` mediumint(25) unsigned NOT NULL,
  `isLastEntry` varchar(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`),
  KEY `deviceId` (`deviceId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Availability Report Table';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_DSStatsReports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_DSStatsReports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_DSStatsReports` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `ReportId` mediumint(25) unsigned NOT NULL,
  `DSStatsGraph` text NOT NULL,
  `order` mediumint(25) NOT NULL DEFAULT '0',
  `group` mediumint(25) NOT NULL DEFAULT '0',
  `Description` text,
  PRIMARY KEY (`Id`),
  KEY `ReportId` (`ReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting DSStats Reports';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_GraphReports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_GraphReports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_GraphReports` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `ReportId` mediumint(25) unsigned NOT NULL,
  `local_graph_id` mediumint(25) NOT NULL,
  `order` mediumint(25) NOT NULL DEFAULT '0',
  `group` mediumint(25) NOT NULL DEFAULT '0',
  `Description` text,
  PRIMARY KEY (`Id`),
  KEY `ReportId` (`ReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Graph Reports';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_MultiGraphReports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_MultiGraphReports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_MultiGraphReports` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `ReportId` mediumint(25) unsigned NOT NULL,
  `order` mediumint(25) NOT NULL DEFAULT '0',
  `data` text,
  `type` text,
  PRIMARY KEY (`Id`),
  KEY `ReportId` (`ReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting MultiGraph Reports';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Reports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Reports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Reports` (
  `ReportId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `Name` text,
  `Logo` text,
  `CoverPage` text,
  `includeSubDirs` varchar(5) NOT NULL DEFAULT '0',
  `leafId` varchar(5) NOT NULL DEFAULT '0',
  `reportType` varchar(5) NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '0',
  `pageSize` varchar(255) NOT NULL DEFAULT '0',
  `pageOrientation` varchar(255) NOT NULL DEFAULT '0',
  `pageGraphFormat` varchar(255) NOT NULL DEFAULT '0',
  `Description` text,
  `outputType` text,
  `showGraphHeader` varchar(5) NOT NULL DEFAULT '1',
  PRIMARY KEY (`ReportId`),
  KEY `leafId` (`leafId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Reports';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Reports_scheduler
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Reports_scheduler`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Reports_scheduler` (
  `ScheduleId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `Name` text,
  `Date` varchar(1024) NOT NULL,
  `lastRunDate` varchar(1024) NOT NULL,
  `isRecurring` varchar(5) NOT NULL DEFAULT '0',
  `frequency` varchar(255) NOT NULL DEFAULT 'Active',
  `Status` varchar(5) NOT NULL DEFAULT '1',
  `Creator` varchar(255) DEFAULT NULL,
  `ReportID` varchar(255) DEFAULT NULL,
  `Recipients` text,
  `Description` text,
  `Attachments` text,
  `archiveReport` varchar(5) NOT NULL DEFAULT '0',
  `archiveUserGroupId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `runNow` mediumint(25) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`ScheduleId`),
  KEY `lastRunDate` (`lastRunDate`(1000))
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Report Schedules';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_Reports_Types
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_Reports_Types`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_Reports_Types` (
  `TypeId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `timeInSeconds` varchar(255) NOT NULL DEFAULT '0',
  `Description` text,
  PRIMARY KEY (`TypeId`),
  KEY `timeInSeconds` (`timeInSeconds`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Report Types';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_UserGroupList
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_UserGroupList`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_UserGroupList` (
  `GroupListId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `UserId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `UserGroupId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`GroupListId`),
  KEY `GroupListId` (`GroupListId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Archive User Group List';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_UserGroupReports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_UserGroupReports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_UserGroupReports` (
  `GroupReportId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `ArchiveId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `UserGroupId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`GroupReportId`),
  KEY `GroupReportId` (`GroupReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Archive Report Group List';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_UserGroups
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_UserGroups`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_UserGroups` (
  `GroupId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `Name` text,
  `Description` text,
  PRIMARY KEY (`GroupId`),
  KEY `GroupId` (`GroupId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Archive User Group';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_UserReportList
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_UserReportList`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_UserReportList` (
  `ReportReadId` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `UserId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `ArchiveId` mediumint(25) unsigned NOT NULL DEFAULT '0',
  `Status` varchar(5) NOT NULL DEFAULT '2',
  PRIMARY KEY (`ReportReadId`),
  KEY `ReportReadId` (`ReportReadId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Archive User Report List';

# Data exporting was unselected.


# Dumping structure for table cacti.plugin_nmidCreatePDF_ZenossReports
DROP TABLE IF EXISTS `plugin_nmidCreatePDF_ZenossReports`;
CREATE TABLE IF NOT EXISTS `plugin_nmidCreatePDF_ZenossReports` (
  `Id` mediumint(25) unsigned NOT NULL AUTO_INCREMENT,
  `ReportId` mediumint(25) unsigned NOT NULL,
  `ZenossReport` text NOT NULL,
  `order` mediumint(25) NOT NULL DEFAULT '0',
  `group` mediumint(25) NOT NULL DEFAULT '0',
  `Description` text,
  PRIMARY KEY (`Id`),
  KEY `ReportId` (`ReportId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='CereusReporting Zenooss Reports';

INSERT INTO `plugin_nmidCreatePDF_Availability_Change_Type` (`Id`, `shortName`, `decreaseAvailability`, `Description`) VALUES (1, 'planned', '0', 'Planned downtime');
INSERT INTO `plugin_nmidCreatePDF_Availability_Change_Type` (`Id`, `shortName`, `decreaseAvailability`, `Description`) VALUES (2, 'emergency', '1', 'Emmergency downtime');
INSERT INTO `plugin_nmidCreatePDF_Availability_Change_Type` (`Id`, `shortName`, `decreaseAvailability`, `Description`) VALUES (3, 'other', '1', 'Unplanned downtime');


INSERT INTO `plugin_nmidCreatePDF_Availability_SLATimeFrame_Table` (`Id`, `defaultDays`, `defaultStartTime`, `defaultEndTime`, `shortDescription`, `longDescription`) VALUES (2, 'Mon,Tue,Wed,Thu,Fri', '08:00', '17:00', '8x5', '');
INSERT INTO `plugin_nmidCreatePDF_Availability_SLATimeFrame_Table` (`Id`, `defaultDays`, `defaultStartTime`, `defaultEndTime`, `shortDescription`, `longDescription`) VALUES (1, 'Mon,Tue,Wed,Thu,Fri,Sat,Sun', '00:00', '23:59', '24x7', '');

INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (1, '0', 'On Demand');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (2, '-1', '1 Month');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (3, '-2', '1 Year');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (4, '-3', 'Yesterday');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (5, '-4', 'Last Week');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (6, '-5', 'Last Month');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (7, '-6', 'Last Year');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (8, '3600', '1 Hour');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (9, '7200', '2 Hour');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (10, '14400', '4 Hour');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (11, '21600', '6 Hour');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (12, '43200', '12 Hour');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (13, '86400', '1 Day');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (14, '172800', '2 Days');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (15, '259200', '3 Days');
INSERT INTO `plugin_nmidCreatePDF_Reports_Types` (`TypeId`, `timeInSeconds`, `Description`) VALUES (16, '604800', '1 Week');

INSERT INTO `plugin_nmidCreatePDF_UserGroupList` (`GroupListId`, `UserId`, `UserGroupId`) VALUES (1, 1, 1);

INSERT INTO `plugin_nmidCreatePDF_UserGroups` (`GroupId`, `Name`, `Description`) VALUES (1, 'Default Group', 'Default Group');


# Data exporting was unselected.
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
